summaryrefslogtreecommitdiff
path: root/dev-python/pygit2/pygit2-1.13.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-21 22:33:16 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-11-21 22:33:16 +0000
commitb80b8590e3bc6cf04dcc42e623fa24893b9e54ce (patch)
tree78bf83e9d03a76b5ee0914151adcd25b8947dadf /dev-python/pygit2/pygit2-1.13.3.ebuild
parentd478bdc497dbc2bdd0a2319d3a1e53e5d62b1323 (diff)
downloadbaldeagleos-repo-b80b8590e3bc6cf04dcc42e623fa24893b9e54ce.tar.gz
baldeagleos-repo-b80b8590e3bc6cf04dcc42e623fa24893b9e54ce.tar.xz
baldeagleos-repo-b80b8590e3bc6cf04dcc42e623fa24893b9e54ce.zip
Adding metadata
Diffstat (limited to 'dev-python/pygit2/pygit2-1.13.3.ebuild')
-rw-r--r--dev-python/pygit2/pygit2-1.13.3.ebuild45
1 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/pygit2/pygit2-1.13.3.ebuild b/dev-python/pygit2/pygit2-1.13.3.ebuild
new file mode 100644
index 000000000000..c701a5d662f9
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.13.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="
+ https://github.com/libgit2/pygit2/
+ https://pypi.org/project/pygit2/
+"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+DEPEND="
+ =dev-libs/libgit2-1.7*:=
+"
+BDEPEND="
+ >=dev-python/cffi-1.16.0:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ ${DEPEND}
+ ${BDEPEND}
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unconditionally prevent it from using network
+ sed -i -e '/has_network/s:True:False:' test/utils.py || die
+}
+
+src_test() {
+ rm -r pygit2 || die
+ distutils-r1_src_test
+}